> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onenumber.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Recipient Group

## Request Body Parameters

<ParamField body="name" type="string" required>
  The name of the group. The group name must be unique.
</ParamField>

<ParamField body="recipients" type="array" required>
  The recipients to receive be added to the group. This can contain valid phone numbers and Recipient references.
</ParamField>

## Successful Response Data

<ResponseField name="statusCode" type="int" required>
  The status of the response. For successful response, value is 201. Check the Response Codes page for details.
</ResponseField>

<ResponseField name="message" type="string" required>
  The message of the response.
</ResponseField>

<ResponseField name="data" type="array">
  <Expandable title="properties">
    <ResponseField name="reference" type="string">
      The reference of the Group.
    </ResponseField>

    <ResponseField name="name" type="string">
      The name of the group.
    </ResponseField>

    <ResponseField name="recipients" type="array">
      <Expandable title="properties" type="array">
        <ResponseField name="reference" type="string">
          The ID of the Recipient.
        </ResponseField>

        <ResponseField name="phoneNumber" type="string">
          The phone number of the Recipient.
        </ResponseField>

        <ResponseField name="email" type="string">
          The email of the Recipient.
        </ResponseField>

        <ResponseField name="firstName" type="string">
          The first name of the Recipient.
        </ResponseField>

        <ResponseField name="lastName" type="string">
          The last name of the Recipient.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>
